## org.codehaus.groovy.grails.commons
Interface GrailsUrlMappingsClass

All Superinterfaces:
  GrailsClass

All Known Implementing Classes:
  DefaultGrailsUrlMappingsClass

    public interface GrailsUrlMappingsClass

extends GrailsClass

A UrlMappings class is a class that loads the UrlMappings

Method Summary
`List` `getExcludePatterns()` Returns a List of URI patterns to exclude
`groovy.lang.Closure` `getMappingsClosure()` Returns the mappings closure which is called to evaluate the url mappings.

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, newInstance`

Method Detail

### getMappingsClosure

    groovy.lang.Closure getMappingsClosure()

  Returns the mappings closure which is called to evaluate the url mappings.

  Returns:
    A Closure instance

### getExcludePatterns

    List getExcludePatterns()

  Returns a List of URI patterns to exclude

  Returns:
    A list of Strings

Copyright (c) 2005-2009 The Grails project